using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace ACD_See___
{
    public partial class Form1 : Form
    {
        int Pos = 0;
        int Last;
        string FolderPath;
        string[] FilePath = new string[100];

        public Form1()
        {
            InitializeComponent();
        }

        private void cmdOpen_Click(object sender, EventArgs e)
        {
            //Open a folder
            FileOpenDialog.ShowDialog();
            try
            {
                FolderPath = FileOpenDialog.SelectedPath.ToString();

                //Bring the first file on folder to picturebox


                FilePath = System.IO.Directory.GetFiles(FolderPath);

                if (FilePath.Length == 0)
                    return;
                
                
                //put number of files in folder in Last
                Last = FilePath.Length;

                Pos = 0;
                while (FilePath[Pos].EndsWith("jpg")==false && FilePath[Pos].EndsWith("bmp")==false   && FilePath[Pos].EndsWith("png")==false )
                {
                    Pos++;
                }

                PicBox.ImageLocation = FilePath[Pos ];
                
            }
            finally { }
        }

        private void cmdFirst_Click(object sender, EventArgs e)
        {
            Pos = 0;
            while (FilePath[Pos].EndsWith("jpg") == false && FilePath[Pos].EndsWith("bmp") == false && FilePath[Pos].EndsWith("png") == false)
            {
                Pos++;
            }
            PicBox.ImageLocation = FilePath[Pos ];
           
        }

        private void cmdLast_Click(object sender, EventArgs e)
        {
            Pos = Last - 1;
            while (FilePath[Pos].EndsWith("jpg") == false && FilePath[Pos].EndsWith("bmp") == false && FilePath[Pos].EndsWith("png") == false)
            {
                Pos--;
            }
            PicBox.ImageLocation = FilePath[Pos ];
           

        }

        private void cmdPre_Click(object sender, EventArgs e)
        {
            Pos--;
            if (Pos < 0)
                Pos = Last - 1;
            while (FilePath[Pos].EndsWith("jpg") == false && FilePath[Pos].EndsWith("bmp") == false && FilePath[Pos].EndsWith("png") == false)
            {
                Pos--;
                if (Pos < 0)
                    Pos = Last - 1;
            }
            
            
            PicBox.ImageLocation = FilePath[Pos];
        }

        private void cmdNext_Click(object sender, EventArgs e)
        {
            Pos++;
            if (Pos >= Last)
                Pos = 0;
            while (FilePath[Pos].EndsWith("jpg") == false && FilePath[Pos].EndsWith("bmp") == false && FilePath[Pos].EndsWith("png") == false)
            {
                Pos++;
                if (Pos >= Last)
                    Pos = 0;
            }
            
            PicBox.ImageLocation = FilePath[Pos];
        }

        private void cmdExit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        
    }
}